Module org.hsqldb
Package org.hsqldb.server

## Class ServerProperties

- java.lang.Object
- - org.hsqldb.persist.HsqlProperties
  - - org.hsqldb.server.ServerProperties

-     public class ServerProperties
      extends org.hsqldb.persist.HsqlProperties

  A subclass HsqlProperties with functionality needed for the HSQLDB Server implementations.

  A property object is checked once and all the errors are stored in collections to be used Meta records specify accepted keys and policies for the expected values.

  Policy for defaults:

  - If (non-null) default is specified for the Meta record, then behavior is obvious.
  - If pattern-type Meta record, then there is no default. A value is required for the property.
  - Otherwise null is specified for the Meta record and user must set a value.
  If a range is specified in the Meta record, then the value is checked against the range.

  If a set of values specified in the Meta record, then the value is checked against the set.

  Since:
    1.9.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class org.hsqldb.persist.HsqlProperties

      `ANY_ERROR, indexClass, indexDefaultValue, indexIsRange, indexLimit, indexName, indexRangeHigh, indexRangeLow, indexType, indexValues, NO_VALUE_FOR_KEY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerProperties​(int protocol, java.io.File file)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `validate()` | Validates according to Meta map, and sets System Properties for those properties with names matching the requisite pattern.

    - ### Methods inherited from class org.hsqldb.persist.HsqlProperties

      `addProperties, addProperties, argArrayToProps, delimitedArgPairsToProps, getErrorKeys, getIntegerProperty, getIntegerProperty, getMeta, getMeta, getMeta, getMeta, getMeta, getProperties, getProperty, getProperty, getPropertyWithinRange, isEmpty, isPropertyTrue, isPropertyTrue, load, propertiesFileExists, propertyNames, removeProperty, save, save, setFileName, setProperty, setProperty, setProperty, setPropertyIfNotExists, toString, validateProperty, validateProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerProperties

          public ServerProperties​(int protocol,
                                  java.io.File file)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### validate

          public void validate()

      Validates according to Meta map, and sets System Properties for those properties with names matching the requisite pattern.
      Overrides:
        `validate` in class `org.hsqldb.persist.HsqlProperties`